## python-passlib 1.6.1

=== docs/requirements.txt ===
cloud_sptheme>=1.4

## python-passlib 1.5.3

=== debian/changelog ===
python-passlib (1.5.3-2) unstable; urgency=low

  * Fix arch
  * Switch to dh_python2

 -- Julien Danjou <acid@debian.org>  Thu, 12 Jan 2012 14:51:13 +0100

python-passlib (1.5.3-1) unstable; urgency=low

  * Initial release (Closes: #647171)

 -- Julien Danjou <acid@debian.org>  Wed, 02 Nov 2011 16:49:09 +0100

=== debian/control ===
Source: python-passlib
Section: python
Priority: extra
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/passlib/
Vcs-Git: git://git.debian.org/collab-maint/python-passlib.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-passlib.git;a=summary

Package: python-passlib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: comprehensive password hashing framework
 Password hashing library for Python 2 & 3, which provides cross-platform
 implementations of over 20 password hashing algorithms, as well as a
 framework for managing existing password hashes. It's designed to be useful
 for a wide range of tasks; from verifying a hash found in /etc/shadow, to
 providing full-strength password hashing for multi-user applications.

## python-passlib 1.6.1

=== debian/changelog ===
python-passlib (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Mon, 10 Sep 2012 14:42:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/passlib/
 Vcs-Git: git://git.debian.org/collab-maint/python-passlib.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-passlib.git;a=summary

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://pypi.python.org/packages/source/p/passlib/ passlib-(.*)\.tar\.gz

## python-passlib 1.6.5

=== debian/changelog ===
python-passlib (1.6.5-4) unstable; urgency=medium

  * Disable Django tests.
  * I believe none of the packages that depend on python-passlib use the
    Django stuff.
  * Can be reversed as soon as
    https://bitbucket.org/ecollins/passlib/issues/68/tests-fail-with-django-19
    is fixed.
  * Closes: #806366.

 -- Brian May <bam@debian.org>  Sun, 03 Jan 2016 14:32:44 +1100

python-passlib (1.6.5-3) unstable; urgency=medium

  * Run tests for Python 3.4 and Python 3.5

 -- Brian May <bam@debian.org>  Mon, 26 Oct 2015 14:20:14 +1100

python-passlib (1.6.5-2) unstable; urgency=medium

  * Update Vcs-* headers.
  * Update standards-version to 3.9.6.
  * Update homepage.

 -- Brian May <bam@debian.org>  Thu, 15 Oct 2015 17:04:03 +1100

python-passlib (1.6.5-1) unstable; urgency=medium

  * Make package DPMT maintained. With permission of original maintainer,
    see #795662.
  * New upstream version. Closes: #794752.
  * Remove '--with-doctest' option to tests. See
    https://bitbucket.org/ecollins/passlib/issues/61/tests-fail
    Closes: #795662.

 -- Brian May <bam@debian.org>  Mon, 24 Aug 2015 17:59:12 +1000

python-passlib (1.6.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing licenses. Closes: #752080.

 -- Brian May <bam@debian.org>  Mon, 01 Dec 2014 16:57:16 +1100

python-passlib (1.6.1-1.2) unstable; urgency=low

  * Non-maintainer upload, with permission.
  * Fix python3-passlib depends.

 -- Brian May <bam@debian.org>  Wed, 18 Jun 2014 13:16:33 +1000

python-passlib (1.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload, with permission.
  * Support Python 3. Closes: #751758.
  * Add missing build depends for python-nose.
  * Update standards version to 3.9.5.

 -- Brian May <bam@debian.org>  Wed, 18 Jun 2014 09:13:20 +1000

=== debian/control ===
Source: python-passlib
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-python,
    python-all (>= 2.6.6-3~), python-setuptools, python-nose,
    python3-all, python3-setuptools, python3-nose,
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/ecollins/passlib/wiki/Home
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-passlib.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-passlib.git

Package: python-passlib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: comprehensive password hashing framework
 Password hashing library for Python 2, which provides cross-platform
 implementations of over 20 password hashing algorithms, as well as a
 framework for managing existing password hashes. It's designed to be useful
 for a wide range of tasks; from verifying a hash found in /etc/shadow, to
 providing full-strength password hashing for multi-user applications.

Package: python3-passlib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: comprehensive password hashing framework
 Password hashing library for Python 3, which provides cross-platform
 implementations of over 20 password hashing algorithms, as well as a
 framework for managing existing password hashes. It's designed to be useful
 for a wide range of tasks; from verifying a hash found in /etc/shadow, to
 providing full-strength password hashing for multi-user applications.

## python-passlib 1.7.0

=== debian/changelog ===
python-passlib (1.7.0-2) testing-proposed-updates; urgency=medium

  * Fix FTBFS with timestamp overlow overflow on i386. Closes: #860619.

 -- Brian May <bam@debian.org>  Sun, 23 Apr 2017 08:16:49 +1000

python-passlib (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  (Closes: #844233)
  * d/control: 
    - Bump Standards-Version with no other changes necessary.
    - Bump debhelper version dependency to >= 9.
  * d/compat: Bump to version 9.

 -- Barry Warsaw <barry@debian.org>  Mon, 28 Nov 2016 11:31:28 -0500

## python-passlib 1.7.1

=== docs/requirements.txt ===
# NOTE: switched to custom branch until https://github.com/dreamhost/sphinxcontrib-fulltoc/issues/10 is fixed
## sphinxcontrib-fulltoc
git+https://github.com/eli-collins/sphinxcontrib-fulltoc.git

hg+https://bitbucket.org/ecollins/cloud_sptheme

=== debian/changelog ===
python-passlib (1.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  (Closes: #852289)
  * d/patches/0001-Disable-Django-support.patch: Dropped as upstream issue
    should now be fixed.

 -- Barry Warsaw <barry@debian.org>  Tue, 31 Jan 2017 11:48:36 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dh-python,
+Build-Depends: debhelper (>= 9), dh-python,
     python-all (>= 2.6.6-3~), python-setuptools, python-nose,
     python3-all, python3-setuptools, python3-nose,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/ecollins/passlib/wiki/Home
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-passlib.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-passlib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-passlib.git
 
 Package: python-passlib

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/passlib/passlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-passlib 1.7.2

=== docs/requirements.txt ===
sphinxcontrib-fulltoc
hg+https://bitbucket.org/ecollins/cloud_sptheme

=== debian/changelog ===
python-passlib (1.7.2-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * New upstream version 1.7.2.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 04 Feb 2020 17:18:19 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: python-passlib
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 9), dh-python,
     python-all (>= 2.6.6-3~), python-setuptools, python-nose,
     python3-all, python3-setuptools, python3-nose,
 Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/ecollins/passlib/wiki/Home
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-passlib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-passlib.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-passlib.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-passlib
 
 Package: python-passlib
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=passlib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

## python-passlib 1.7.4

=== debian/changelog ===
python-passlib (1.7.4-6ubuntu1) plucky; urgency=medium

  * Demote the runtime dependency on python3-legacycrypt to Suggests, to
    temporarily fix the component mismatch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 23:03:22 -0500

python-passlib (1.7.4-6) unstable; urgency=medium

  * Team upload.
  * Take patch from fork suggesting in #1099184
    to remove usage of python3-pkg-resources (Closes: #1083674)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Mar 2025 11:40:31 +0100

python-passlib (1.7.4-5) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Remove useless patch (it's "future" that was removed, not "__future__").

  [ Colin Watson ]
  * Use importlib.metadata to get bcrypt version (closes: #1082011).
  * Use importlib.metadata to get argon2 version.
  * Build-depend on python3-bcrypt.
  * Accept legacycrypt as an alternative to crypt (closes: #1090282).

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 17:03:02 +0000

python-passlib (1.7.4-4) unstable; urgency=medium

  * Team upload.
  * Add py3.12-use-raw-strings-to-avoid-warning.patch.
  * Add py3.12-avoid-utcfromtimestamp.patch.
  * Add py3.12-do-not-use-__future__.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Dec 2023 13:11:12 +0100

python-passlib (1.7.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:37:01 +0100

python-passlib (1.7.4-2) unstable; urgency=medium

  * Team upload.
  * Depend on python3-pkg-resources. (Closes: #992177)
  * Add autopkgtest to check if the library can actually be imported.
  * Use pytest instead of nose. (Closes: #1018550)
  * Set debhelper compatibility level to 13.
  * Set Standards-Version to 4.6.1.
  * Fix blowfish's base.py filename in d/copyright.
  * Fix indentation error in d/changelog for version 1.7.2-1.

 -- Emanuele Rocca <ema@debian.org>  Mon, 26 Sep 2022 22:04:29 +0200

python-passlib (1.7.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: #981821
  * debian/copyright
    - update upstream copyright years
    - update Source field to heptapod repo location
  * debian/control
    - update Homepage to https://passlib.readthedocs.io; Closes: #983685

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Feb 2021 23:58:42 -0500

python-passlib (1.7.2-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938002

 -- Sandro Tosi <morph@debian.org>  Sat, 28 Mar 2020 12:00:52 -0400

=== debian/control ===
Source: python-passlib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-bcrypt,
 python3-legacycrypt,
 python3-setuptools,
 python3-pytest,
Standards-Version: 4.6.1
Homepage: https://passlib.readthedocs.io
Vcs-Git: https://salsa.debian.org/python-team/packages/python-passlib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-passlib

Package: python3-passlib
Architecture: all
Depends:
 python3:any,
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: python3-legacycrypt
Description: comprehensive password hashing framework
 Password hashing library for Python 3, which provides cross-platform
 implementations of over 20 password hashing algorithms, as well as a
 framework for managing existing password hashes. It's designed to be useful
 for a wide range of tasks; from verifying a hash found in /etc/shadow, to
 providing full-strength password hashing for multi-user applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=passlib

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/passlib/passlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-passlib 1.9.3

=== debian/changelog ===
python-passlib (1.9.3-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    [ Simon Quigley ]
    - Demote the runtime dependency on python3-legacycrypt to Suggests,
      to temporarily fix the component mismatch.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Dec 2025 20:12:18 +0000

python-passlib (1.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.3. Closes: #1120188.
  * Change upstream. Closes: #1099184.
  * Standards-Version 4.7.2, no change
  * Drop all patches
  * Update Depends, add !nocheck build profile where applicable
  * Builds docs with sphinx

 -- Jérémy Lal <kapouer@melix.org>  Sat, 06 Dec 2025 17:33:13 +0100

python-passlib (1.7.4-6ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:55:24 +0100

=== debian/control ===
Source: python-passlib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 sphinx,
 pybuild-plugin-pyproject,
 python3-all,
 python3-argon2,
 python3-bcrypt (>= 5~),
 python3-cryptography,
 python3-django <!nocheck>,
 python3-hatchling,
 python3-legacycrypt,
 python3-setuptools,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/notypecheck/passlib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-passlib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-passlib

Package: python3-passlib
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests: python3-legacycrypt
Description: comprehensive password hashing framework
 Password hashing library for Python 3, which provides cross-platform
 implementations of over 20 password hashing algorithms, as well as a
 framework for managing existing password hashes. It's designed to be useful
 for a wide range of tasks; from verifying a hash found in /etc/shadow, to
 providing full-strength password hashing for multi-user applications.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,8 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+execute_before_dh_installdocs:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	sphinx-build -D html_theme=default docs build/sphinx/html
+endif
